<template>
  <section class="client">
    <h2 class="section__title">Наши клиенты</h2>
    <Carousel :aspectRatio="0.4" :breakpoints="carouselBreakpoints">
      <Slide v-for="(clientList, i) in clients" :key="i">
        <template v-slot:content>
          <ul class="client__list">
            <li
              class="client__item"
              v-for="client in clientList"
              :key="client"
              :class="client + '_logo'"
            >
              <img
                :src="'/images/logos/' + client + '.svg'"
                class="client__logo"
                :alt="client"
              />
            </li>
          </ul>
        </template>
      </Slide>
    </Carousel>
  </section>
</template>

<script>
import Carousel from '@/components/shared/Carousel'
import { VueperSlide } from 'vueperslides'

export default {
  name: 'Clients',
  components: {
    Carousel,
    Slide: VueperSlide
  },
  setup() {
    const carouselBreakpoints = {
      900: {
        slideRatio: 1
      }
    }
    const clients = [
      ['sber', 'pochta', 'vtb', 'ings', 'bud', 'hennessy', 'lawsons', 'barley'],
      ['lays', 'pepsi', 'evian', 'danone', 'volgadnepr', 'dellin'],
      ['vw', 'magnit', 'mts', 'mir', 'avito']
    ]
    return { clients, carouselBreakpoints }
  }
}
</script>
